package com.sooka.module.web.cms.vo;

import com.sooka.common.annotation.ExcelField;
import com.sooka.mybatis.model.TCmsVote;

import javax.persistence.Column;
import java.util.Date;
import java.util.List;

public class CxcVo  {

    private Long contentId;
    private Integer siteId;
    private Integer userId;
    private Long categoryId;
    private Integer modelId;
    private String title;
    private String keywords;
    private String content;
    /**
     * 顶置
     */
    private Boolean top;

    /**
     * 推荐
     */
    private Boolean recommend;

    /**
     * 封面
     */
    private String thumb;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sorts;

    /**
     * 发布时间
     */
    private Date inputdate;

    /**
     * 更新时间
     */
    private Date updatedate;

    /**
     * 文章地址
     */
    private String url;

    /**
     * 用户名
     */
    private String author;


    /**
     * 查看次数
     */
    private Integer viewNum;


    /**
     * 描述
     */
    private String description;


    public Long getContentId() {
        return contentId;
    }


    public void setContentId(Long contentId) {
        this.contentId = contentId;
    }

    public Integer getSiteId() {
        return siteId;
    }

    public void setSiteId(Integer siteId) {
        this.siteId = siteId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public Integer getModelId() {
        return modelId;
    }

    public void setModelId(Integer modelId) {
        this.modelId = modelId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getKeywords() {
        return keywords;
    }

    public void setKeywords(String keywords) {
        this.keywords = keywords;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Boolean getTop() {
        return top;
    }

    public void setTop(Boolean top) {
        this.top = top;
    }

    public Boolean getRecommend() {
        return recommend;
    }

    public void setRecommend(Boolean recommend) {
        this.recommend = recommend;
    }

    public String getThumb() {
        return thumb;
    }

    public void setThumb(String thumb) {
        this.thumb = thumb;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSorts() {
        return sorts;
    }

    public void setSorts(Integer sorts) {
        this.sorts = sorts;
    }

    public Date getInputdate() {
        return inputdate;
    }

    public void setInputdate(Date inputdate) {
        this.inputdate = inputdate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public Integer getViewNum() {
        return viewNum;
    }

    public void setViewNum(Integer viewNum) {
        this.viewNum = viewNum;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
